## org.hibernate.sql.ordering.antlr
Class NodeSupport

    java.lang.Object
      antlr.BaseAST
          antlr.CommonAST
              org.hibernate.sql.ordering.antlr.NodeSupport

All Implemented Interfaces:
  antlr.collections.AST, Serializable, Node

Direct Known Subclasses:
  CollationSpecification, OrderByFragment, OrderingSpecification, SortKey, SortSpecification

    public class NodeSupport

extends antlr.CommonAST
implements Node

Basic implementation of a `Node`.

Author:
  Steve Ebersole
See Also:
  Serialized Form

Field Summary

Fields inherited from class antlr.BaseAST
`down, right`

Constructor Summary
`NodeSupport()`

Method Summary
`String` `getDebugText()` Get a string representation of this node usable for debug logging or similar.
`String` `getRenderableText()` Build the node's representation for use in the resulting rendering.

Methods inherited from class antlr.CommonAST
`getText, getType, initialize, initialize, initialize, setText, setType`

Methods inherited from class antlr.BaseAST
`addChild, decode, encode, equals, equalsList, equalsListPartial, equalsTree, equalsTreePartial, findAll, findAllPartial, getColumn, getFirstChild, getLine, getNextSibling, getNumberOfChildren, getTokenNames, removeChildren, setFirstChild, setNextSibling, setVerboseStringConversion, toString, toStringList, toStringTree, xmlSerialize, xmlSerializeNode, xmlSerializeRootClose, xmlSerializeRootOpen`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.hibernate.sql.ordering.antlr.Node
`getText`

Constructor Detail

### NodeSupport

    public NodeSupport()

Method Detail

### getDebugText

    public String getDebugText()

  Get a string representation of this node usable for debug logging or similar.

  Specified by:
    `getDebugText` in interface `Node`
  Returns:
    The node's debugging text.

### getRenderableText

    public String getRenderableText()

  Build the node's representation for use in the resulting rendering.

  Specified by:
    `getRenderableText` in interface `Node`
  Returns:
    The renderable text.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.